Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 563810 - For Perl 5.22.0 the requirement XML::Parser module is missing
Summary: For Perl 5.22.0 the requirement XML::Parser module is missing
Status: RESOLVED DUPLICATE of bug 596664
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-22 15:49 UTC by barade.barade
Modified: 2016-10-09 09:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge.info,6.47 KB, application/x-info)
2015-10-22 15:49 UTC, barade.barade
Details
build log (build.log,15.36 KB, text/plain)
2015-10-22 15:50 UTC, barade.barade
Details

Note You need to log in before you can comment on or make changes to this bug.
Description barade.barade 2015-10-22 15:49:59 UTC
Created attachment 415188 [details]
emerge --info

Emerging net-misc/networkmanager-1.0.6 fails with perl version 5.22.0.
Comment 1 barade.barade 2015-10-22 15:50:23 UTC
Created attachment 415190 [details]
build log
Comment 2 barade.barade 2015-10-22 15:53:22 UTC
The same error appeared when emerging gnome-extra/nm-applet-1.0.6.
Comment 3 barade.barade 2015-10-22 15:58:51 UTC
Manually calling "emerge -a dev-perl/XML-Parser" fixed it.
Comment 4 Ben Kohler gentoo-dev 2015-10-22 16:08:55 UTC

*** This bug has been marked as a duplicate of bug 41124 ***
Comment 5 barade.barade 2015-10-22 18:57:49 UTC
Hello, I am pretty sure I did run "perl-cleaner --all". Are you sure that dev-perl/XML-Parser is emerged by perl-cleaner even after unmerging it.
Why is not a dependency of perl if all packages using perl expect it to be installed?
Comment 6 Ben Kohler gentoo-dev 2015-10-22 21:31:07 UTC
net-misc/networkmanager depends on dev-util/intltool which depends on dev-perl/XML-Parser, so there is no missing dep.  I'm 99.9% certain you already had XML-Parser, it just needed a rebuild.  If you did run perl-cleaner --all, it must have failed before it was done.
Comment 7 Kent Fredric (IRC: kent\n) gentoo-dev 2016-10-09 09:58:55 UTC

*** This bug has been marked as a duplicate of bug 596664 ***